Link catalogs
Integration summary
- Base URL:
https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services- Token: admin token, in the
Authorization: Bearer {{admin-token}}header (how to generate it)- Endpoints on this page:
POST /v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs: Link catalog to WABAGET /v1/catalog/{{waba_id}}/product_catalogs: Get catalogs linked to WABADELETE /v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs: Unlink catalog from WABAPOST /v1/catalog/{{waba_id}}/{{catalog_id}}/{{phone_number_id}}: Assign catalog to phone numberPOST /v1/catalog/{{waba_id}}/{{phone_number_id}}/whatsapp_commerce_settings: Configure commerce settings
Link, get, and unlink the catalogs of your WABA, assign a catalog to a phone number, and configure its commerce settings (cart and catalog visibility). If the request succeeds, every service returns HTTP 200.
Link catalog to WABA
Request
Link catalog to WABA request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs |
| Method | POST |
Headers
Link catalog to WABA headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Link catalog to WABA parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. | String | Required |
| catalog_id | ID of a catalog created with the Create catalog service. | String | Required |
Example
Complete Link catalog to WABA example:
curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs' \--header 'Authorization: Bearer {{admin-token}}'
Response
Link catalog to WABA response:
| Name | Description | Type |
|---|---|---|
| success | Whether the operation succeeded. | Boolean |
{"success": true}
Get catalogs linked to WABA
Request
Get catalogs linked to WABA request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/product_catalogs |
| Method | GET |
Headers
Get catalogs linked to WABA headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Get catalogs linked to WABA parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. | String | Required |
Example
Complete Get catalogs linked to WABA example:
curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/product_catalogs' \--header 'Authorization: Bearer {{admin-token}}'
Response
Get catalogs linked to WABA response:
Linked catalog object
| Name | Description | Type |
|---|---|---|
| id | Catalog ID. | String |
| name | Catalog name. | String |
{"data": [{"id": "1234567890123456","name": "Course catalog"}],"paging": {"cursors": {"before": "QVFIUjExampleBefore","after": "QVFIUjExampleAfter"}}}
Paging object
| Name | Description | Type |
|---|---|---|
| cursors | Cursors for the current page. | Object |
Cursors object
| Name | Description | Type |
|---|---|---|
| before | Cursor pointing to the start of the page. | String |
| after | Cursor pointing to the end of the page. | String |
Unlink catalog from WABA
Request
Unlink catalog from WABA request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs |
| Method | DELETE |
Headers
Unlink catalog from WABA headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Unlink catalog from WABA parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. | String | Required |
| catalog_id | ID of the catalog to unlink. | String | Required |
Example
Complete Unlink catalog from WABA example:
curl --location --request DELETE 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/product_catalogs' \--header 'Authorization: Bearer {{admin-token}}'
Response
Unlink catalog from WABA response:
| Name | Description | Type |
|---|---|---|
| success | Whether the operation succeeded. | Boolean |
{"success": true}
Assign catalog to phone number
Request
Assign catalog to phone number request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/{{phone_number_id}} |
| Method | POST |
Headers
Assign catalog to phone number headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Assign catalog to phone number parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. | String | Required |
| catalog_id | Catalog ID. | String | Required |
| phone_number_id | ID of the WABA phone number to assign the catalog to. | String | Required |
Example
Complete Assign catalog to phone number example:
curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{catalog_id}}/{{phone_number_id}}' \--header 'Authorization: Bearer {{admin-token}}'
Response
Assign catalog to phone number response:
| Name | Description | Type |
|---|---|---|
| success | Whether the operation succeeded. | Boolean |
{"success": true}
Configure commerce settings
Sets whether the shopping cart is enabled and whether the catalog is visible on the phone number's profile.
Request
Configure commerce settings request:
| URL | https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{phone_number_id}}/whatsapp_commerce_settings |
| Method | POST |
| Type | application/json |
Headers
Configure commerce settings headers:
| Name | Description | Type | Requirements |
|---|---|---|---|
| Content-Type | application/json | String | Required |
| Authorization | Admin token. See Generate authentication token. | String | Required |
Parameters
Configure commerce settings parameters:
| Name | Description | Type | Requirements |
|---|---|---|---|
| waba_id | WhatsApp Business Account ID. | String | Required |
| phone_number_id | Phone number ID. | String | Required |
Body
Configure commerce settings body fields:
| Name | Description | Type | Requirements |
|---|---|---|---|
| is_cart_enabled | Set to true to enable the shopping cart. | Boolean | Required |
| is_catalog_visible | Set to true to show the catalog on the phone number's profile. | Boolean | Required |
Example
Complete Configure commerce settings example:
curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/catalog/{{waba_id}}/{{phone_number_id}}/whatsapp_commerce_settings' \--header 'Content-Type: application/json' \--header 'Authorization: Bearer {{admin-token}}' \--data '{"is_cart_enabled": true,"is_catalog_visible": true}'
Response
Configure commerce settings response:
| Name | Description | Type |
|---|---|---|
| success | Whether the operation succeeded. | Boolean |
{"success": true}
